import * as jwt from "jsonwebtoken";
import {
    ExpressMiddlewareInterface
} from "routing-controllers";

// @Middleware({ type: "before" })
export class JWTAuth implements ExpressMiddlewareInterface {
    use(request: any, response: any, next?: (err?: any) => any): any {
        const token = <string>request.headers["auth"];
        try {
            const jwtPayload = <any>jwt.verify(token, "secretjwtsecret");
            // const jwtPayload = <any>jwt.verify(token, process.env.JWT_SECRET);
            response.locals.jwtPayload = jwtPayload;
        } catch (error) {
            console.log(error);
            return response.status(401).send();
        }
        next();
    }
}
